<!-- FAQ-In-HTML.xsl: Transform ROWSET/ROW format into HTML Format -->
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <head>
    <title>Frequently Asked Questions</title>
    <style>
       td {font-family:verdana,arial; font-size:18;
           background-color:#f7f7e7; color:#000000 }
       th,table {font-family:verdana,arial; font-size:18;
           background-color:#cccc99; color:#336699 }
    </style>
  </head>
  <body>
    <center>
      <table border="0">
        <tr>
          <th>Question</th>
          <th>Difficulty</th>
        </tr>
        <xsl:for-each select="ROWSET/ROW">
          <tr>
            <td>
              <table border="0" cellspacing="0">
                <tr>
                  <td>
                    <img src="images/Question.gif"/>
                  </td>
                  <td valign="middle">
                    <xsl:value-of select="QUESTION"/>
                 </td>
               </tr>
               <tr>
                 <td>
                   <img src="images/Answer.gif"/>
                 </td>
                 <td valign="middle">
                   <xsl:value-of select="ANSWER"/>
                 </td>
               </tr>
             </table>
            </td>
            <td>
             <img align="absmiddle" src="images/{LEVEL}.gif"/>
            </td>
          </tr>
         </xsl:for-each>
      </table>
    </center>
  </body>
</html>
