CREATE OR REPLACE PROCEDURE handleTodaysSubmissions IS
BEGIN

  -- Loop over any Submission in the xml_documents table submitted today.
  FOR currentSubmission IN (SELECT xmldoc
                              FROM xml_documents
                             WHERE timestamp > TRUNC(SYSDATE)
                               AND docname like 'Abstract%') LOOP

    -- Handle the current abstract
    handleNewSubmission( currentSubmission.xmldoc );

  END LOOP;
END;
