import oracle.xml.parser.v2.*;
import org.w3c.dom.*;
import java.io.*;

public class Bug {
 public static void main(String[] args) throws Throwable {
   String src = "<a><b>b</b></a>";
   String identityXSL =
   "<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>"+
   "<xsl:template match='@*|node()'>"+
   "<xsl:copy><xsl:apply-templates select='@*|node()'/></xsl:copy>"+
   "</xsl:template></xsl:stylesheet>";
   XSLStylesheet s = new XSLStylesheet( new StringReader(identityXSL),null);
   DOMParser d = new DOMParser();
   d.parse(new StringReader(src));
   XMLDocument doc = (XMLDocument)d.getDocument();
   XSLProcessor p = new XSLProcessor();
   DocumentFragment df = p.processXSL(s,doc);
   XMLDocumentFragment xdf = (XMLDocumentFragment)df;
   System.out.println("* "+xdf.selectNodes("*").getLength()+" Matches");
   System.out.println(".//b "+xdf.selectNodes(".//b").getLength()+" Matches");
   System.out.println("a/b "+xdf.selectNodes("a/b").getLength()+" Matches");
 }
}