import oracle.sql.CLOB;
import java.io.*;
import oracle.xml.parser.v2.XMLDocument;

public class XMLDocumentToClob {
  public static void write( XMLDocument doc, CLOB theClob ) throws Exception {
    // Open a writer for writing into the CLOB, buffering the writes using
    // the CLOB's optimal chunk size.
    BufferedWriter out = new BufferedWriter(theClob.getCharacterOutputStream(),
                                            theClob.getChunkSize());
    // "print" the XML document into the clob
    doc.print(new PrintWriter(out));
    // Close the writer
    out.close();
  }
}
