<!-- RenameIntoItalian.xsl: Rename elements and attributes into Italian -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Import the identity transformation. -->
  <xsl:import href="Identity.xsl"/>
  <!-- Translate all elements into their Italian equivalents -->
  <xsl:template match="ItemList">
    <ListaArticoli><xsl:apply-templates select="@*|node()"/></ListaArticoli>
  </xsl:template>
  <xsl:template match="Item">
    <Articolo><xsl:apply-templates select="@*|node()"/></Articolo>
  </xsl:template>
  <xsl:template match="Description">
    <Descrizione><xsl:apply-templates select="@*|node()"/></Descrizione>
  </xsl:template>
  <xsl:template match="Price">
    <Prezzo><xsl:apply-templates select="@*|node()"/></Prezzo>
  </xsl:template>
  <xsl:template match="@Color">
    <xsl:attribute name="Colore">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </xsl:template>
</xsl:stylesheet>
