CREATE TABLE quotes (
  symbol VARCHAR2(5),
  price  NUMBER,
  change NUMBER
);
CREATE TABLE client_table(
  id        NUMBER,
  givenname VARCHAR2(80),
  surname   VARCHAR2(80),
  CONSTRAINT client_table_pk PRIMARY KEY (id)
);

CREATE TABLE portfolio_stocks (
  owner NUMBER,
  symbol VARCHAR2(5),
  CONSTRAINT portfolio_stocks_pk PRIMARY KEY (owner,symbol)
);

INSERT INTO client_table VALUES (101,'Tim','Jones');
INSERT INTO portfolio_stocks VALUES (101,'GE');
INSERT INTO portfolio_stocks VALUES (101,'ORCL');
INSERT INTO quotes VALUES ('GE',103.50,0.80);
INSERT INTO quotes VALUES ('ORCL',27.33,3.40);
COMMIT;
