SET SERVEROUTPUT ON
DECLARE
  jobId           NUMBER;
  resync_interval NUMBER       := 30;           -- In Minutes!
  index_name      VARCHAR2(30) := 'xmldoc_idx';
BEGIN
  dbms_job.submit(jobId, 
                  'ctx_ddl.sync_index(''||index_name||'');',
                  interval=>'SYSDATE+'||resync_interval||'/1440');
  dbms_output.put_line('Submitted Job#'||jobId);
END;