<?xml version = '1.0' encoding = 'UTF-8'?>
<!-- InsertUserPref.xsl: Insert transform for user_prefs_view -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:template match="/">
      <ROWSET>
         <xsl:if test="request/parameters/userid">
           <xsl:for-each select="request/parameters">
              <ROW>
                 <USERID>
                    <xsl:value-of select="userid"/>
                 </USERID>
                 <STOCKS>
                    <xsl:value-of select="stocks"/>
                 </STOCKS>
                 <HEADLINES>
                    <xsl:value-of select="headlines"/>
                 </HEADLINES>
                 <CATEGORIES>
                    <xsl:for-each select="row/categories">
                      <xsl:value-of select="."/>
                      <xsl:if test="position() != last()">
                        <xsl:text> </xsl:text>
                      </xsl:if>
                    </xsl:for-each>
                 </CATEGORIES>
              </ROW>
           </xsl:for-each>
         </xsl:if>
      </ROWSET>
   </xsl:template>
</xsl:stylesheet>