<?xml version = '1.0' encoding = 'UTF-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- Transform XXXX into canonical ROWSET for user_prefs_view -->
   <xsl:template match="/">
      <ROWSET>
         <!-- XPath for repeating source rows -->
         <xsl:for-each select="page/ROWSET/ROW">
            <ROW>
               <USERID>
                  <xsl:value-of select="USERID"/>
               </USERID>
               <HEADLINES>
                  <xsl:value-of select="HEADLINES"/>
               </HEADLINES>
               <STOCKS>
                  <xsl:value-of select="STOCKS"/>
               </STOCKS>
               <CATEGORIES>
                  <xsl:value-of select="CATEGORIES"/>
               </CATEGORIES>
            </ROW>
         </xsl:for-each>
      </ROWSET>
   </xsl:template>
</xsl:stylesheet>