<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:my="http://www.oracle.com/XSL/Transform/java/oracle.xml.parser.v2.Extensions"
  exclude-result-prefixes="my">

  <xsl:template match="/">
    <xsl:call-template name="toolbar">
      <xsl:with-param name="bar">
        <toolbar>
           <button name="xxx" url="www.oracle.com"/>
        </toolbar>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="toolbar">
    <xsl:param name="bar"/>
    <xsl:variable name="barns" select="my:nodeset($bar)"/>
<!--    <xsl:variable name="barns" select="document('toolbar.xml')"/> -->
    <hr/>
    <xsl:for-each select="$barns/toolbar/button">
      <a href="{@url}"><xsl:value-of select="@name"/></a>
    </xsl:for-each>
    <hr/>
  </xsl:template>
</xsl:stylesheet>