<!-- PeopleGroup.xsl Standard XSLT Stylesheet Syntax -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- xsl:output overrides default output behavior -->
  <xsl:output doctype-system="http://www.hr.org/people-group.dtd" indent="yes"/>
  <xsl:template match="/">
    <hr:people-group xmlns:hr="http://www.hr.org/people-group">
      <hr:group-members>
        <xsl:value-of select="count(ROWSET/ROW)"/>
      </hr:group-members>
      <hr:people>
        <xsl:for-each select="ROWSET/ROW">
          <hr:person>
            <hr:name><xsl:value-of select="ENAME"/></hr:name>
            <hr:wages><xsl:value-of select="SAL"/></hr:wages>
          </hr:person>
        </xsl:for-each>
      </hr:people>
    </hr:people-group>
  </xsl:template>
</xsl:stylesheet>