<!-- SortByName.xsl: Sort shopping-list items by name -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes"/>
  <xsl:template match="list">
    <xsl:copy>
      <xsl:apply-templates select="item">
        <xsl:sort select="name"/>
      </xsl:apply-templates>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="item">
    <xsl:copy-of select="."/>
  </xsl:template>
</xsl:stylesheet>