drop table site_newsstory;
drop table site_newscategory;
drop sequence site_newsstoryid;
create sequence site_newsstoryid start with 1000;
create table site_newscategory(
  id   NUMBER,
  name VARCHAR2(80),
  constraint site_newscatpk primary key (id)
);
create table site_newsstory(
  id          NUMBER,
  title       VARCHAR2(100)  NOT NULL ,
  url         VARCHAR2(2000) NOT NULL ,
  category    NUMBER,
  description VARCHAR2(700),
  timestamp   DATE,
  source      VARCHAR2(80),
  constraint site_newsstorypk primary key (id),
  constraint story_in_category foreign key (category) references site_newscategory
);
insert into site_newscategory values (
  1,'XML'
);
insert into site_newscategory values (
  2,'XSLT'
);
insert into site_newscategory values (
  3,'B2B'
);
insert into site_newscategory values (
  4,'Business'
);
insert into site_newscategory values (
  5,'Extra'
);         

commit;
create or replace view latestnews as
  SELECT category,id,title,url,description,timestamp,source
    FROM site_newsstory
   ORDER BY timestamp desc;

SELECT cat.id,
       cat.name,
       CURSOR( SELECT *
                 FROM latestnews
                WHERE category = cat.id
                  AND  ROWNUM < 4
             ) AS stories
  FROM site_newscategory cat;

