<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:include href="TableBaseWithCSS.xsl"/>
  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="Forum.css"/>
        <title>News By Category</title>
      </head>
      <body bgcolor="#FFFFFF">
        <center>
          <!-- Transform the ROWSET of query results first -->
          <xsl:apply-templates select="page/ROWSET"/>
          <!-- Then transform the <paging> fragment to render "Page N of M" -->
          <xsl:apply-templates select="page/paging"/>
        </center>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>