<!-- StoreTop.xsl: format the main homepage of the Web Store -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- For best results with HTML, best not in introduce extra whitespace -->
  <xsl:output method="html" indent="no"/>
  <xsl:template match="/">
    <html>
    <head><link rel="stylesheet" type="text/css" href="Store.css" /></head>
    <body>
       <form target="main" action="SearchResults.xsql" method="post">
         <center>
          <table border="0">
            <tr>
              <td>
                <img src="images/Store.gif"/>
              </td>
              <td>
                <table>
                  <tr>
                    <td>
                      <xsl:text>Search the store:</xsl:text>
                      <input type="text" name="find"/>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <xsl:for-each select="store/shop">
                        <a target="main" href="ShopHomePage.xsql?id={@id}">
                          <xsl:value-of select="@name"/>
                        </a>
                        &#160;&#160;
                     </xsl:for-each>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </center>
      </form>
    </body>
    </html>
  </xsl:template>
</xsl:stylesheet>